Subject: Re: bug#65060: 29.1.50; display_count_lines segv

From: Kai Ma <[email-masked]>
Date: Sat, 12 Aug 2023 15:28:16 +0800

> On Aug 12, 2023, at 14:50, Eli Zaretskii <[email-masked]> wrote:
> 
> Ping!  Can you please help me finish investigating this bug by
> providing the information I asked for?  Armed with that information, I
> think I will be able to find a solution.

Sorry for the late reply!

cursor (before do) = 0x0
* GPT_BYTE = 3072
* GAP_SIZE = 2000
* BEG_ADDR = 0x0
* current_buffer->text->beg = 0x0

cursor (before memchr) = 0x0
* GPT_BYTE = 3072
* GAP_SIZE = 2000
* BEG_ADDR = 0x0
* current_buffer->text->beg = 0x0

BTW, I think I found a reproducible recipe: 

1. after starting dirvish, C-x 0 repeatedly to delete all windows (mode line still shows “name|mtime”)
2. C-x k to kill the buffer
3. Dirvish automatically restarts itself, and this time the mode line shows nothing
4. C-x k to kill the buffer, and emacs crashes